Index: mveplayer.cpp
===================================================================
--- mveplayer.cpp	(revision 3442)
+++ mveplayer.cpp	(working copy)
@@ -1116,14 +1065,14 @@
 					if (p[0] > p[1] && p[2] > p[3])
 					{
 						Uint16 mask;
-						for (i = 0; i < 8; i++)
+						for (int i = 0; i < 8; i++)
 						{
 							b[i] = *data++;
 						}
-						for (j = 0; j < 4; j++)
+						for (int j = 0; j < 4; j++)
 						{
 							mask = 3;
-							for (i = 0; i < 8; i++)
+							for (int i = 0; i < 8; i++)
 							{
 								new_frame[i] =
 									new_frame[i + pitch] = p[ ( (b[ (j << 1) + 1] << 8 | b[j << 1]) & mask) >> (i << 1)];
@@ -1138,25 +1087,25 @@
 
 				case 0xA:
 				{
-					Uint8 p[16], b[16], mask, k;
+					Uint8 p[16], b[16];
 					if (data[0] <= data[1])
 					{
-						for (i = 0; i < 4; i++)
+						for (int i = 0; i < 4; i++)
 						{
-							for (j = 0; j < 4; j++)
+							for (int j = 0; j < 4; j++)
 							{
 								p[ (i << 2) + j] = *data++;
 							}
-							for (j = 0; j < 4; j++)
+							for (int j = 0; j < 4; j++)
 							{
 								b[ (i << 2) + j] = *data++;
 							}
 						}
-						for (k = 0; k < 4; k++)
+						for (int k = 0; k < 4; k++)
 						{
-							for (j = 0; j < 4; j++)
+							for (int j = 0; j < 4; j++)
 							{
-								for (i = 0, mask = 3; i < 4; i++, mask <<= 2)
+								for (Uint8 i = 0, mask = 3; i < 4; i++, mask <<= 2)
 								{
 									new_frame[i] = p[ ( (b[ (k << 2) + j] & mask) >> (i << 1)) + (k << 2)];
 								}
@@ -1171,13 +1120,13 @@
 					}
 					else
 					{
-						for (i = 0; i < 2; i++)
+						for (int i = 0; i < 2; i++)
 						{
-							for (j = 0; j < 4; j++)
+							for (int j = 0; j < 4; j++)
 							{
 								p[ (i << 2) + j] = *data++;
 							}
-							for (j = 0; j < 8; j++)
+							for (int j = 0; j < 8; j++)
 							{
 								b[ (i << 3) + j] = *data++;
 							}
@@ -1184,11 +1133,11 @@
 						}
 						if (p[4] <= p[5])
 						{
-							for (k = 0; k < 2; k++)
+							for (int k = 0; k < 2; k++)
 							{
-								for (j = 0; j < 8; j++)
+								for (int j = 0; j < 8; j++)
 								{
-									for (i = 0, mask = 3; i < 4; i++, mask <<= 2)
+									for (int i = 0, mask = 3; i < 4; i++, mask <<= 2)
 									{
 										new_frame[i] = p[ ( (b[j + (k << 3)] & mask) >> (i << 1)) + (k << 2)];
 									}
@@ -1203,11 +1152,11 @@
 						}
 						else
 						{
-							for (k = 0; k < 2; k++)
+							for (int k = 0; k < 2; k++)
 							{
-								for (j = 0; j < 4; j++)
+								for (int j = 0; j < 4; j++)
 								{
-									for (i = 0, mask = 3; i < 8; i++, mask <<= 2)
+									for (int i = 0, mask = 3; i < 8; i++, mask <<= 2)
 									{
 										if (i == 4)
 											mask = 3;
@@ -1225,9 +1174,9 @@
 
 				case 0xB:
 
-					for (j = 0; j < 8; j++)
+					for (int j = 0; j < 8; j++)
 					{
-						for (i = 0; i < 8; i++)
+						for (int i = 0; i < 8; i++)
 						{
 							new_frame[i] = *data++;
 						}
@@ -1239,13 +1188,13 @@
 				case 0xC:
 				{
 					Uint8 p[16];
-					for (i = 0; i < 16; i++)
+					for (int i = 0; i < 16; i++)
 					{
 						p[i] = *data++;
 					}
-					for (j = 0; j < 8; j++)
+					for (int j = 0; j < 8; j++)
 					{
-						for (i = 0; i < 8; i++)
+						for (int i = 0; i < 8; i++)
 						{
 							new_frame[i] = p[ (i >> 1) + ( (j >> 1) << 2)];
 						}
@@ -1258,13 +1207,13 @@
 				case 0xD:
 				{
 					Uint8 p[4];
-					for (i = 0; i < 4; i++)
+					for (int i = 0; i < 4; i++)
 					{
 						p[i] = *data++;
 					}
-					for (j = 0; j < 8; j++)
+					for (int j = 0; j < 8; j++)
 					{
-						for (i = 0; i < 8; i++)
+						for (int i = 0; i < 8; i++)
 						{
 							new_frame[i] = p[ ( (j > 3 ? 1 : 0) << 1) + (i > 3 ? 1 : 0)];
 						}
@@ -1276,7 +1225,7 @@
 
 				case 0xE:
 
-					for (j = 0; j < 8; j++)
+					for (int j = 0; j < 8; j++)
 					{
 						memset (new_frame + j * pitch, *data, 8);
 					}
@@ -1286,9 +1235,9 @@
 
 				case 0xF:
 
-					for (j = 0; j < 8; j++)
+					for (int j = 0; j < 8; j++)
 					{
-						for (i = 0; i < 8; i++)
+						for (int i = 0; i < 8; i++)
 							new_frame[i] = data[ ( (i + j) & 1)];
 						new_frame += pitch;
 					}
@@ -1305,8 +1254,10 @@
 /*************************************/
 void MVEPlayerEventHandler()
 {
-	/* event vars for determining pause, quit, or speed commands from user; declared static
-	so they retain their values between calls to MVEPlayerEventHandler (else nothing happens) */
+	// event vars for determining pause, quit, or speed commands from user;
+	// declared static
+	// so they retain their values between calls to MVEPlayerEventHandler
+	// (else nothing happens)
 
 	static Uint8 keyin = 0;
 	static SDL_Event event;
@@ -1315,9 +1266,7 @@
 	{
 		switch (event.type)
 		{
-			case SDL_KEYDOWN:
-				keyin = event.key.keysym.sym;
-				break;
+			case SDL_KEYDOWN: keyin = event.key.keysym.sym; break;
 			case SDL_KEYUP:
 				if (event.key.keysym.sym == keyin)
 				{
@@ -1335,10 +1284,9 @@
 							else if (AUDIO_PLAYING)
 								SDL_PauseAudio (0);
 							break;
-							/* ToggleFullScreen does not work on my system so I cannot test it */
-							/*case SDLK_f:
-								SDL_WM_ToggleFullScreen(screen);
-								break;*/
+							// ToggleFullScreen does not work on my system
+							// so I cannot test it
+							//case SDLK_f: SDL_WM_ToggleFullScreen(screen); break;
 						default:
 							QUITTING = !QUITTING;
 							break;
Index: network.cpp
===================================================================
--- network.cpp	(revision 3442)
+++ network.cpp	(working copy)
@@ -88,7 +88,7 @@
 	bHost = false;
 
 	bExit = false;
-	TCPHandleThread = SDL_CreateThread (CallbackHandleNetworkThread, this);
+	TCPHandleThread = SDL_CreateThread (CallbackHandleNetworkThread, "network", this);
 }
 
 //------------------------------------------------------------------------
Index: pcx.cpp
===================================================================
--- pcx.cpp	(revision 3442)
+++ pcx.cpp	(working copy)
@@ -109,7 +109,7 @@
 	if (!FileExists (name.c_str()))
 	{
 		// File not found, create empty surface.
-		SDL_Surface* const s = SDL_CreateRGBSurface (Video.getSurfaceType(), 100, 20, Video.getColDepth(), 0, 0, 0, 0);
+		SDL_Surface* const s = SDL_CreateRGBSurface (0, 100, 20, Video.getColDepth(), 0, 0, 0, 0);
 		return s;
 	}
 
@@ -117,7 +117,7 @@
 	if (!bufferedFile.open (name.c_str(), "rb"))
 	{
 		Log.write (SDL_GetError(), cLog::eLOG_TYPE_WARNING);  // Image corrupted, create empty surface.
-		SDL_Surface* const s = SDL_CreateRGBSurface (Video.getSurfaceType(), 100, 20, Video.getColDepth(), 0, 0, 0, 0);
+		SDL_Surface* const s = SDL_CreateRGBSurface (0, 100, 20, Video.getColDepth(), 0, 0, 0, 0);
 		return s;
 	}
 	// Load the image.
@@ -124,13 +124,13 @@
 	bufferedFile.seek (8, SEEK_SET);
 	Uint16       const x = bufferedFile.readLE16() + 1;
 	Uint16       const y = bufferedFile.readLE16() + 1;
-	SDL_Surface* const s = SDL_CreateRGBSurface (Video.getSurfaceType() | SDL_SRCCOLORKEY, x, y, 32, 0, 0, 0, 0);
+	SDL_Surface* const s = SDL_CreateRGBSurface (0, x, y, 32, 0, 0, 0, 0);
 	if (!s)
 	{
 		Log.write (SDL_GetError(), cLog::eLOG_TYPE_ERROR);
 		return NULL; //app will crash using this
 	}
-	SDL_SetColorKey (s, SDL_SRCCOLORKEY, 0xFF00FF);
+	SDL_SetColorKey (s, SDL_TRUE, 0xFF00FF);
 
 	Uint32* const buf = static_cast<Uint32*> (s->pixels);
 	bufferedFile.seek (128, RW_SEEK_SET);
Index: SDL_flic.c
===================================================================
--- SDL_flic.c	(revision 3442)
+++ SDL_flic.c	(working copy)
@@ -28,9 +28,9 @@
              added function FLI_Version that returns the library version
 */
 #include "SDL_flic.h"
+#include <string.h>
 #include <setjmp.h>
 #include <stdlib.h>
-//#include <mem.h>
 
 /* Library version. */
 #define FLI_MAJOR 1
@@ -46,6 +46,14 @@
 #define FLI_COPY     16
 #define FLI_PSTAMP   18
 
+#if 1 // TODO: [SDL2]: SDL_SetColors
+inline void SDL_SetColors (SDL_Surface* surface, SDL_Color* colors, int index, int size)
+{
+	SDL_SetPaletteColors (surface->format->palette, colors, index, size);
+}
+#endif
+
+
 typedef struct {
         Uint32 size, type, numchunks;
 } FLI_Frame;
@@ -54,7 +62,7 @@
         Uint32 size, type, index;
 } FLI_Chunk;
 
-static void readbuffer(FLI_Animation *flic, void *buffer, int size) {
+static void readbuffer(FLI_Animation *flic, void *buffer, unsigned int size) {
         if (SDL_RWread(flic->rwops, buffer, 1, size) != size)
                 longjmp(flic->error, FLI_READERROR);
 }
@@ -97,7 +105,7 @@
 
 static void readheader(FLI_Animation *flic) {
         /* Skip size, we don't need it. */
-        SDL_RWseek(flic->rwops, 4, SEEK_CUR);
+        SDL_RWseek(flic->rwops, 4, RW_SEEK_CUR);
         /* Read and check magic. */
         flic->format = readu16(flic);
         if (flic->format != FLI_FLI && flic->format != FLI_FLC)
@@ -120,7 +128,7 @@
         /* Read the delay between frames. */
         flic->delay = (flic->format == FLI_FLI) ? readu16(flic) : readu32(flic);
         /* Skip rest of the header. */
-        SDL_RWseek(flic->rwops, (flic->format == FLI_FLI) ? 110 : 108, SEEK_CUR);
+        SDL_RWseek(flic->rwops, (flic->format == FLI_FLI) ? 110 : 108, RW_SEEK_CUR);
 }
 
 static void readframe(FLI_Animation *flic, FLI_Frame *frame) {
@@ -135,7 +143,7 @@
         /* Read the number of chunks in this frame. */
         frame->numchunks = readu16(flic);
         /* Skip rest of the data. */
-        SDL_RWseek(flic->rwops, 8, SEEK_CUR);
+        SDL_RWseek(flic->rwops, 8, RW_SEEK_CUR);
 }
 
 static void readchunk(FLI_Animation *flic, FLI_Chunk *chunk) {
@@ -357,7 +365,7 @@
         readframe(flic, &frame);
         /* If it's a prefix frame, skip it. */
         if (frame.type == 0xF100) {
-                SDL_RWseek(rwops, frame.size - 16, SEEK_CUR);
+                SDL_RWseek(rwops, frame.size - 16, RW_SEEK_CUR);
                 flic->offframe1 = SDL_RWtell(rwops);
                 flic->numframes--;
         }
@@ -393,7 +401,7 @@
                 return error;
         }
         /* Seek to the current frame. */
-        SDL_RWseek(flic->rwops, flic->offnextframe, SEEK_SET);
+        SDL_RWseek(flic->rwops, flic->offnextframe, RW_SEEK_SET);
         /* Read the current frame. */
         readframe(flic, &frame);
         /* Read and process each of the chunks of this frame. */
@@ -426,7 +434,7 @@
                                 break;
                         case FLI_PSTAMP:
                                 /* Ignore this chunk. */
-								SDL_RWseek( flic->rwops, chunk.size - 6, SEEK_CUR );
+								SDL_RWseek( flic->rwops, chunk.size - 6, RW_SEEK_CUR );
                                 break;
                         default:
                                 longjmp(flic->error, FLI_CORRUPTEDFILE);
@@ -457,7 +465,7 @@
         if (error != 0)
                 return error;
         /* Seek to the current frame. */
-        SDL_RWseek(flic->rwops, flic->offnextframe, SEEK_SET);
+        SDL_RWseek(flic->rwops, flic->offnextframe, RW_SEEK_SET);
         /* Read the current frame. */
         readframe(flic, &frame);
         /* Skip to the next frame without rendering. */
Index: server.cpp
===================================================================
--- server.cpp	(revision 3449)
+++ server.cpp	(working copy)
@@ -20,24 +20,6 @@
 #include <cassert>
 #include <set>
 
-#ifdef _MSC_VER
-
-# define NOMINMAX // do not use min, max as macro
-# include <windows.h>
-const DWORD MS_VC_EXCEPTION = 0x406D1388;
-
-# pragma pack (push, 8)
-typedef struct tagTHREADNAME_INFO
-{
-	DWORD dwType; // Must be 0x1000.
-	LPCSTR szName; // Pointer to name (in user addr space).
-	DWORD dwThreadID; // Thread ID (-1=caller thread).
-	DWORD dwFlags; // Reserved for future use, must be zero.
-} THREADNAME_INFO;
-# pragma pack (pop)
-#endif
-
-
 #include "server.h"
 
 #include "attackJobs.h"
@@ -71,22 +53,6 @@
 //------------------------------------------------------------------------------
 int CallbackRunServerThread (void* arg)
 {
-#if defined _MSC_VER && defined DEBUG //set a readable thread name for debugging
-	THREADNAME_INFO info;
-	info.dwType = 0x1000;
-	info.szName = "Server Thread";
-	info.dwThreadID = -1;
-	info.dwFlags = 0;
-
-	__try
-	{
-		RaiseException (MS_VC_EXCEPTION, 0, sizeof (info) / sizeof (ULONG_PTR), reinterpret_cast<ULONG_PTR*> (&info));
-	}
-	__except (EXCEPTION_EXECUTE_HANDLER)
-	{
-	}
-#endif
-
 	cServer* server = reinterpret_cast<cServer*> (arg);
 	server->run();
 	return 0;
@@ -116,7 +82,7 @@
 	if (!DEDICATED_SERVER)
 	{
 		if (network) network->setMessageReceiver (this);
-		serverThread = SDL_CreateThread (CallbackRunServerThread, this);
+		serverThread = SDL_CreateThread (CallbackRunServerThread, "server", this);
 	}
 
 	gameTimer.maxEventQueueSize = MAX_SERVER_EVENT_COUNTER;
Index: servergame.cpp
===================================================================
--- servergame.cpp	(revision 3447)
+++ servergame.cpp	(working copy)
@@ -70,7 +70,7 @@
 //------------------------------------------------------------------------------
 void cServerGame::runInThread()
 {
-	thread = SDL_CreateThread (serverGameThreadFunction, this);
+	thread = SDL_CreateThread (serverGameThreadFunction, "servergame", this);
 }
 
 //------------------------------------------------------------------------------
Index: unifonts.cpp
===================================================================
--- unifonts.cpp	(revision 3442)
+++ unifonts.cpp	(working copy)
@@ -148,21 +148,21 @@
 				else if (charset == CHARSET_ISO8559_1) unicodeplace = currentChar + 128 + 2 * 16;
 			}
 			else unicodeplace = iso8859_to_uni[currentChar];
-			chars[unicodeplace] = SDL_CreateRGBSurface (Video.getSurfaceType() | SDL_SRCCOLORKEY, Rect.w, Rect.h, 32, 0, 0, 0, 0);
+			chars[unicodeplace] = SDL_CreateRGBSurface (0, Rect.w, Rect.h, 32, 0, 0, 0, 0);
 
 			// change color of smal fonts
 			switch (fonttype)
 			{
 				case FONT_LATIN_SMALL_RED:
-					SDL_SetColorKey (surface, SDL_SRCCOLORKEY, 0xf0d8b8);
+					SDL_SetColorKey (surface, SDL_TRUE, 0xf0d8b8);
 					SDL_FillRect (chars[unicodeplace], NULL, 0xe60000);
 					break;
 				case FONT_LATIN_SMALL_GREEN:
-					SDL_SetColorKey (surface, SDL_SRCCOLORKEY, 0xf0d8b8);
+					SDL_SetColorKey (surface, SDL_TRUE, 0xf0d8b8);
 					SDL_FillRect (chars[unicodeplace], NULL, 0x04ae04);
 					break;
 				case FONT_LATIN_SMALL_YELLOW:
-					SDL_SetColorKey (surface, SDL_SRCCOLORKEY, 0xf0d8b8);
+					SDL_SetColorKey (surface, SDL_TRUE, 0xf0d8b8);
 					SDL_FillRect (chars[unicodeplace], NULL, 0xdbde00);
 					break;
 				default:
@@ -170,7 +170,7 @@
 					break;
 			}
 			SDL_BlitSurface (surface, &Rect, chars[unicodeplace], NULL);
-			SDL_SetColorKey (chars[unicodeplace], SDL_SRCCOLORKEY, 0xFF00FF);
+			SDL_SetColorKey (chars[unicodeplace], SDL_TRUE, 0xFF00FF);
 
 			//goto next character
 			currentChar++;
Index: vehicles.cpp
===================================================================
--- vehicles.cpp	(revision 3442)
+++ vehicles.cpp	(working copy)
@@ -216,12 +216,12 @@
 		}
 	}
 
-	if (IsBuilding && !job && BigBetonAlpha < 255u)
+	if (IsBuilding && !job && BigBetonAlpha < 254u)
 	{
 		if (gameGUI.timer50ms)
 			BigBetonAlpha += 25;
 
-		BigBetonAlpha = std::min (255u, BigBetonAlpha);
+		BigBetonAlpha = std::min (254u, BigBetonAlpha);
 	}
 
 	// calculate screen position
@@ -287,7 +287,7 @@
 	// draw indication, when building is complete
 	if (IsBuilding && BuildRounds == 0 && owner == gameGUI.getClient()->getActivePlayer() && !BuildPath)
 	{
-		const Uint32 color = 0xFF00 - (0x1000 * (gameGUI.getAnimationSpeed() % 0x8));
+		const Uint32 color = 0xFF00FF00 - (0x1000 * (gameGUI.getAnimationSpeed() % 0x8));
 		const Uint16 max = data.isBig ? 2 * gameGUI.getTileSize() - 3 : gameGUI.getTileSize() - 3;
 		SDL_Rect d = {Sint16 (screenPosition.x + 2), Sint16 (screenPosition.y + 2), max, max};
 
@@ -297,7 +297,7 @@
 	// Draw the colored frame if necessary
 	if (gameGUI.colorChecked())
 	{
-		const Uint32 color = *static_cast<Uint32*> (owner->getColorSurface()->pixels);
+		const Uint32 color = 0xFF000000 | *static_cast<Uint32*> (owner->getColorSurface()->pixels);
 		const Uint16 max = data.isBig ? 2 * gameGUI.getTileSize() - 1 : gameGUI.getTileSize() - 1;
 
 		SDL_Rect d = {Sint16 (screenPosition.x + 1), Sint16 (screenPosition.y + 1), max, max};
@@ -307,7 +307,7 @@
 	// draw the group selected frame if necessary
 	if (groupSelected)
 	{
-		const Uint32 color = 0x00FFFF00;
+		const Uint32 color = 0xFFFFFF00;
 		const Uint16 tilesize = gameGUI.getTileSize() - 3;
 		SDL_Rect d = {Sint16 (screenPosition.x + 2), Sint16 (screenPosition.y + 2), tilesize, tilesize};
 
@@ -320,7 +320,7 @@
 		const int len = max / 4;
 		max -= 3;
 		SDL_Rect d = {Sint16 (screenPosition.x + 2), Sint16 (screenPosition.y + 2), max, max};
-		DrawSelectionCorner(buffer, d, len, gameGUI.getBlinkColor());
+		DrawSelectionCorner(buffer, d, len, 0xFF000000 | gameGUI.getBlinkColor());
 	}
 
 	// draw health bar
@@ -360,7 +360,7 @@
 	tmp.x += offset;
 	tmp.y += offset;
 
-	SDL_SetAlpha (uiData->overlay, SDL_SRCALPHA, alpha);
+	SDL_SetSurfaceAlphaMod (uiData->overlay, alpha);
 	blitWithPreScale (uiData->overlay_org, uiData->overlay, &src, surface, &tmp, zoomFactor);
 }
 
@@ -374,7 +374,7 @@
 		frameNr = client->getGameGUI().getAnimationSpeed() % (uiData->overlay_org->w / uiData->overlay_org->h);
 	}
 
-	int alpha = 255;
+	int alpha = 254;
 	if (StartUp && cSettings::getInstance().isAlphaEffects())
 		alpha = StartUp;
 	drawOverlayAnimation (surface, dest, zoomFactor, frameNr, alpha);
@@ -388,7 +388,7 @@
 	const cMap& map = *client.getMap();
 	if (IsBuilding && data.isBig && (!map.isWaterOrCoast (PosX, PosY) || map.fields[map.getOffset (PosX, PosY)].getBaseBuilding()))
 	{
-		SDL_SetAlpha (GraphicsData.gfx_big_beton, SDL_SRCALPHA, BigBetonAlpha);
+		SDL_SetSurfaceAlphaMod (GraphicsData.gfx_big_beton, BigBetonAlpha);
 		CHECK_SCALING (GraphicsData.gfx_big_beton, GraphicsData.gfx_big_beton_org, zoomFactor);
 		SDL_BlitSurface (GraphicsData.gfx_big_beton, NULL, surface, &tmp);
 	}
@@ -409,7 +409,7 @@
 	src.x = 0;
 	src.y = 0;
 	tmp = dest;
-	SDL_SetAlpha (GraphicsData.gfx_tmp, SDL_SRCALPHA, 255);
+	SDL_SetSurfaceAlphaMod (GraphicsData.gfx_tmp, 254);
 	SDL_BlitSurface (GraphicsData.gfx_tmp, &src, surface, &tmp);
 }
 
@@ -434,7 +434,7 @@
 	src.x = 0;
 	src.y = 0;
 	tmp = dest;
-	SDL_SetAlpha (GraphicsData.gfx_tmp, SDL_SRCALPHA, 255);
+	SDL_SetSurfaceAlphaMod (GraphicsData.gfx_tmp, 254);
 	SDL_BlitSurface (GraphicsData.gfx_tmp, &src, surface, &tmp);
 }
 
@@ -442,8 +442,8 @@
 {
 	if (client.getMap()->isWater (PosX, PosY) && (data.isStealthOn & TERRAIN_SEA)) return;
 
-	if (StartUp && cSettings::getInstance().isAlphaEffects()) SDL_SetAlpha (uiData->shw[dir], SDL_SRCALPHA, StartUp / 5);
-	else SDL_SetAlpha (uiData->shw[dir], SDL_SRCALPHA, 50);
+	if (StartUp && cSettings::getInstance().isAlphaEffects()) SDL_SetSurfaceAlphaMod (uiData->shw[dir], StartUp / 5);
+	else SDL_SetSurfaceAlphaMod (uiData->shw[dir], 50);
 	SDL_Rect tmp = dest;
 
 	// draw shadow
@@ -491,7 +491,7 @@
 	src.y = 0;
 	SDL_Rect tmp = dest;
 
-	SDL_SetAlpha (GraphicsData.gfx_tmp, SDL_SRCALPHA, alpha);
+	SDL_SetSurfaceAlphaMod (GraphicsData.gfx_tmp, alpha);
 	blittAlphaSurface (GraphicsData.gfx_tmp, &src, surface, &tmp);
 }
 
@@ -523,7 +523,7 @@
 		render_shadow (*client, surface, dest, zoomFactor);
 	}
 
-	int alpha = 255;
+	int alpha = 254;
 	if (client)
 	{
 		if (StartUp && cSettings::getInstance().isAlphaEffects())
Index: vehicles.h
===================================================================
--- vehicles.h	(revision 3442)
+++ vehicles.h	(working copy)
@@ -281,13 +281,13 @@
 	* draws the main image of the vehicle onto the passed surface
 	*/
 	void render (const cClient* client, SDL_Surface* surface, const SDL_Rect& dest, float zoomFactor, bool drawShadow);
-	void render_simple (SDL_Surface* surface, const SDL_Rect& dest, float zoomFactor, int alpha = 255);
+	void render_simple (SDL_Surface* surface, const SDL_Rect& dest, float zoomFactor, int alpha = 254);
 	/**
 	* draws the overlay animation of the vehicle on the given surface
 	*@author: eiko
 	*/
 	void drawOverlayAnimation (const cClient* client, SDL_Surface* surface, const SDL_Rect& dest, float zoomFactor);
-	void drawOverlayAnimation (SDL_Surface* surface, const SDL_Rect& dest, float zoomFactor, int frameNr, int alpha = 255);
+	void drawOverlayAnimation (SDL_Surface* surface, const SDL_Rect& dest, float zoomFactor, int frameNr, int alpha = 254);
 
 	bool isUnitLoaded() const { return Loaded; }
 	/**
